Bug 240810 - x11-wm/xfce4-session: x11/xscreensaver Has same names as other screensaver applications in XFCE Settings Autostart GUI
Summary: x11-wm/xfce4-session: x11/xscreensaver Has same names as other screensaver ap...
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-xfce (Nobody)
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-25 11:17 UTC by John
Modified: 2019-09-30 13:34 UTC (History)
2 users (show)

See Also:
madpilot: maintainer-feedback+
koobs: merge-quarterly?


Attachments
CLI output XFCE startup configuration files and contents of two different screensaver applications in xfce4 autostart configuration (15.14 KB, text/plain)
2019-09-25 11:17 UTC, John
no flags Details
File manager view showing identical file names for two different screensaver applications (122.87 KB, image/png)
2019-09-25 11:23 UTC, John
no flags Details
XFCE4 Settings Autostart Showing two different screensavers with exact same entry names (111.45 KB, image/png)
2019-09-25 11:48 UTC, John
no flags Details
Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xscreensaver (1.80 KB, patch)
2019-09-26 00:50 UTC, John
no flags Details | Diff
Example of XFCE4 Setting Autostart GUI with proposed patch changes to show xscreensaver as unique application (111.96 KB, image/png)
2019-09-26 00:56 UTC, John
no flags Details
Example of XFCE4 Setting Autostart GUI with proposed patch changes to show xscreensaver as unique application - correct file (2.08 KB, patch)
2019-09-26 01:06 UTC, John
no flags Details | Diff
Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xscreensaver (2.08 KB, patch)
2019-09-26 01:11 UTC, John
no flags Details | Diff
Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xscreensaver (2.08 KB, patch)
2019-09-26 01:13 UTC, John
no flags Details | Diff
Example of XFCE4 Settings Autostart GUI with proposed patch changes to show xscreensaver as unique application (111.96 KB, image/png)
2019-09-26 01:19 UTC, John
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John 2019-09-25 11:17:36 UTC
Created attachment 207793 [details]
CLI output XFCE startup configuration files and contents of two different screensaver applications in xfce4 autostart configuration

While investigating bug #240804 discovered that the xfce names for xscreensaver and xfce-screensaver have same file manager names, "screensaver" and same entry names for XFCE4 Autostart, "Screensaver (Launch screensaver and locker program).", making it impossible to determine which application a user wants to enable or disable.

This discovery is result of a FreeBSD pkg upgrade done 20190925 that caused bug #240804 to occur.

It would see reasonable that both the associated file manager name and XFCE4 Startup entries should be unique and identifiable to the application variant and not be the same names thereby causing user and even very technical user confusion.
Comment 1 John 2019-09-25 11:23:06 UTC
Created attachment 207794 [details]
File manager view showing identical file names for two different screensaver applications

File manger shows identical file names of "screensaver" for two very different screen saver applications.
Comment 2 John 2019-09-25 11:37:20 UTC
Also see bug #240811 for related issue for x11/xfce4-screensaver.
Comment 3 John 2019-09-25 11:48:54 UTC
Created attachment 207798 [details]
XFCE4 Settings Autostart Showing two different screensavers with exact same entry names

XFCE4 Settings Autostart showing two different screensaver applications (xscreensaver and xfce4-screensaver) with the exact same entry names of "Screensaver (Launch screensaver and locker program)."
Comment 4 Niclas Zeising freebsd_committer 2019-09-25 12:02:34 UTC
This seems to be a problem in xfce rather than xscreensaver.
Comment 5 Niclas Zeising freebsd_committer 2019-09-25 12:04:03 UTC
xscreensaver does not install any files in ${LOCALBASE}/etc/xdc
Comment 6 John 2019-09-25 13:19:25 UTC
I have a tested solution to this issue.  I need to have a meal and then long overdue sleep from being up unexpectedly due to a number the bug issues I opened in last few hours and completely unrelated bugs I have encountered while working on the bugs overnight.
Comment 7 John 2019-09-25 13:22:00 UTC
(In reply to Niclas Zeising from comment #4)
There is a problem and xscreensaver is the issue and not xfce4.  I have confirmed this and tested this is the case.
Comment 8 Niclas Zeising freebsd_committer 2019-09-25 13:28:06 UTC
(In reply to John from comment #7)

Then you have to provide more details.  The configurations you've posted are from xfce4, or at least not from xscreensaver, as I stated, xscreensaver does not install files to /usr/local/etc/xdg, and has nothing really to do with XFCE.
Comment 9 Guido Falsi freebsd_committer 2019-09-25 19:07:25 UTC
I would not say that xscreensaver is the cause.

the xfce4-session port installs an autostart desktop file for xscreensaver which enables it by default, if present.

When I updated XFCE to 4.14 I did not notice this and install by default xfce4-screensaver, which installs it's own startup desktop file, enabling it by default too.

The two end up conflicting.

My opinion is that xscreensaver has no fault. The problem is internal to xfce4.

I'm studying a solution. First thing I plan to do is modify the xscreensaver .desktop file installed by xfce4-session to be disabled by default, so as not to conflict with the new default of using xfce4-screensaver as the system screensaver.

The problem caused by having the same description in the session configuration dialog is a little trickier, due to the .desktop file containing many translations, so it's not as easy to patch as I'd like it to be.

Anyway zeising I'd say yoour port has no fault. It can't foresee problems caused by XFCE peoples work which did not show up in my testing.
Comment 10 Guido Falsi freebsd_committer 2019-09-25 19:16:00 UTC
Also, the .desktop file with the description identical to xfce4-screensaver is NOT installed by the xscreensaver port.

So there is no fault there to fix.
Comment 11 John 2019-09-26 00:13:11 UTC
(In reply to Guido Falsi from comment #10)
I never suggested nor stated that the .desktop file with the description identical to xfce4-screensaver is was installed by the xscreensaver port.

If I understand correctly some xfce4 package is responsible for the the install and configuration of the .desktop files placed and setup for xscreensaver.  Do you know what that XFCE4 package name is?
Comment 12 John 2019-09-26 00:32:46 UTC
If I understand correctly some xfce4 package is responsible for the the install and configuration of the .desktop files placed in XFCE autostart and setup for xscreensaver autostart.  Do you know what that XFCE4 package name is?
Comment 13 John 2019-09-26 00:39:00 UTC
(In reply to Guido Falsi from comment #9)


Please do not modify the xscreensaver .desktop file installed by xfce4-session to be disabled by default.  This bug is strictly about the duplicate Application names for screensaver applications that appears in the XFCE4 Settings Autostart GUI.

The issue of conflicts with xscreensaver and xfce4-screensaver as the system screensaver both defaulting to autostart is the subject of bug #240804 and the solution(s) possible and decided upon will be discussed and figured out via bug #240804.
Comment 14 John 2019-09-26 00:50:30 UTC
Created attachment 207820 [details]
Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xscreensaver

This is a proposed framework patch for the xscreensaver.desktop file used for the XFCE autostart.  The changes made were only for English translations. The proposed changes will clearly identify xscreensaver as unique applications in the XFCE4 Settings Autostart GUI.  The suggested changes are:

Name=xscreensaver
Comment=Launch ONLY ONE screensaver and locker program
Icon=preferences-desktop-xscreensaver

The proposed changes avive would then be translated to the same or as similar as can be of the above English changes.  I assume the XFCE project team would be responsible to effect the proposed changes above for all translations.
Comment 15 John 2019-09-26 00:56:39 UTC
Created attachment 207821 [details]
Example of XFCE4 Setting Autostart GUI with proposed patch changes to show xscreensaver as unique application

This is example of how the proposed patch for the xscreensaver.desktop XFCE4 autostart file would look and show as a unique application in the XFCE4 Autostart GUI.
Comment 16 John 2019-09-26 01:06:37 UTC
Created attachment 207822 [details]
Example of XFCE4 Setting Autostart GUI with proposed patch changes to show xscreensaver as unique application - correct file

Example of XFCE4 Setting Autostart GUI with proposed patch changes to show xscreensaver as unique application.

This is example of how the proposed patch for the xscreensaver.desktop XFCE4 autostart file would look and show as a unique application in the XFCE4 Autostart GUI.

Sorry I previously uploaded the wrong version of patch.
Comment 17 John 2019-09-26 01:11:06 UTC
Created attachment 207823 [details]
Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xscreensaver

Example of XFCE4 Setting Autostart GUI with proposed patch changes to show xscreensaver as unique application - correct file

Example of XFCE4 Setting Autostart GUI with proposed patch changes to show xscreensaver as unique application.

This is example of how the proposed patch for the xscreensaver.desktop XFCE4 autostart file would look and show as a unique application in the XFCE4 Autostart GUI.

Sorry I previously uploaded the wrong version of patch. Then placed incorrect description via copy/paste error.  My apologies.
Comment 18 John 2019-09-26 01:13:49 UTC
Created attachment 207824 [details]
Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xscreensaver

Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xscreensaver

This is a proposed framework patch for the xscreensaver.desktop file used for the XFCE autostart.  The changes made were only for English translations. The proposed changes will clearly identify xscreensaver as unique applications in the XFCE4 Settings Autostart GUI.  The suggested changes are:

Name=xscreensaver
Comment=Launch ONLY ONE screensaver and locker program
Icon=preferences-desktop-xscreensaver

The proposed changes above would then be translated to the same or as similar as can be of the above English changes.  I assume the XFCE project team would be responsible to effect the proposed changes above for all translations.
Comment 19 John 2019-09-26 01:19:32 UTC
Created attachment 207825 [details]
Example of XFCE4 Settings Autostart GUI with proposed patch changes to show xscreensaver as unique application

Example of XFCE4 Setting Autostart GUI with proposed patch changes to show xscreensaver as unique application

This is example of how the proposed patch for the xscreensaver.desktop XFCE4 autostart file would look and show as a unique application in the XFCE4 Autostart GUI.

Sorry for all the extra noise in uploading this and the patch file.  I have lost alot of sleep in last week and did not get much sleep today.  I am not my usual more focused self as result.
Comment 20 Guido Falsi freebsd_committer 2019-09-26 07:51:34 UTC
I'm closing this one bug report since it references a port only marginally related. The problem is specific to XFCE and the discussion about it is better kept in one single bug report.
Comment 21 commit-hook freebsd_committer 2019-09-27 09:01:20 UTC
A commit references this bug:

Author: madpilot
Date: Fri Sep 27 09:00:35 UTC 2019
New revision: 513008
URL: https://svnweb.freebsd.org/changeset/ports/513008

Log:
  - Make xfce4-session install the xscreensaver.desktop session startup
    file disabled by default
  - Modify name of program in .desktop file for xfce4-screensaver,
    so that the UI does not show two identical lines when both it and
    xscreensaver are installed
  - Add UPDATING note and update xfce4-session pkg-message to explain
    the issue to users

  PR:		240804, 240810, 240811
  Submitted by:	John <jlmales@gmail.com>

Changes:
  head/UPDATING
  head/x11/xfce4-screensaver/Makefile
  head/x11-wm/xfce4-session/Makefile
  head/x11-wm/xfce4-session/files/patch-scripts_xscreensaver.desktop.in
  head/x11-wm/xfce4-session/files/pkg-message.in
Comment 22 John 2019-09-29 00:36:31 UTC
Reopened the bug for three reasons,

1) To enable the description to be changed

2) To answer question asked in bug #240804 that is not relevant to issue of bug #240804.

3) This issue is different and separate from bug #240804 and should not be closed until the upstream fix is in place.  An interim workaround fix is not a fix.
Comment 23 John 2019-09-29 00:54:58 UTC
At time bug report was created I was not aware the xfce4 part of the xscreensaver configuration was in the x11-wm/xfce4-session port.  Comments by those that know indicated this,

Per bug #240804:

<https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240804#c10>
<https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240804#c9>
<https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240804#c13>
<https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240804#c12>

Per bug #240811:

<https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240811#c14>
<https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240811#c12>
<https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240811#c7>

Per this bug report, bug #240804:

<https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240810#c21>
<https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240810#c13>
<https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240810#c9>

Therefore this bug has had its summary changed from :x11/xscreensaver: Has same names as other screensaver applications in XFCE Settings Autostart GUI" to "x11-wm/xfce4-session: x11/xscreensaver Has same names as other screensaver applications in XFCE Settings Autostart GUI"
Comment 24 John 2019-09-29 01:41:18 UTC
In bug #240804 re: <https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240804#c10> "Please don't rush things.

You created 3 bug reports for the same issue, one referencing a port which is only marginally related to the issue (xscreensaver), since it's not installing any file causing it. This is strictly an XFCE problem.

Please let's keep the conversation in one place only. This is one bug. with two strictly related problems."

First the three bugs (bug #240804, bug #240810, and this bug #240811) is not because of some feeling of rush needed.  That is implied in the bug classification of scope of users affected.

Bug #240804 is not the same issue as this bug firstly.  Secondly in order to address bug #240804 in a reasonable manner this bug #240810 and bug #240811 need to be addressed first and strictly speaking are not the cause of bug $240804.  Even if both bug #240810 and bug #240811 had unique names for the XFCE Setting Autostart GUI and the file manager views would not prevent bug #240804 from occurring.  This issue is strictly about a user not knowing what screensaver is enabled and/or of there are duplicate entries for the exact same screensaver in the XFCE4 Settings Autostart GUI and file manager views.  This bug is not about nor is same as bug #240804.  Hence a this bug was created not because I like writing bug reports, but because it is a different issue that means it needs a different bug report.

Before bug #240804 can be addressed this bug and bug #240811 need to be addressed first.  This is so the different applications of same type have some manner of allowing XFCE project of knowing so and in what manner XFCE will identify such same/similar applications that will allow XFCE to decide how to address the issue of bug #240804..

This also means the proposed patch I submitted <https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240810#c18> was just that a proposed patch aware and noting there are other translations besides English that need to be addressed by XFCE.  The proposed patch also was proposed knowing the proposed wording changes in the proposed patch may be different due to how XFCE decides.  That means the proposed patch was just that proposed patch knowing that the finial decision would be per the upstream XFCE project.   This is why I made it clear this was a proposed patch and that the proposed patch clearly needed other translations to be effected to be a finial fix patch knowing that the upstream project is responsible for a complete patch of the xscreensaver.desktop file.
Comment 25 John 2019-09-29 01:44:31 UTC
This bug should remain open until the upstream project has created an acceptable fix to this bug.  Sadly the way this FreeBSD bugzilla is configured thereis only an Open or Closed status for the bug.  There is no status for awaiting upstream fix which is what the real status of this bug should be.  Therefor in lieu of no awaiting for upstream fix this bug should remain open.
Comment 26 John 2019-09-29 01:51:04 UTC
I had crossed referenced this bug to but #240811 and bug #240804 on purpose to indicate there is some relationships between this and the other bugs.  This was done on purpose to show the relationship of these different bugs.  That was not meant to implpy these different bugs should be consolidated into one bug re <https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240804#c12> "This is one bug. with two strictly related problems."
Comment 27 John 2019-09-29 02:14:32 UTC
(In reply to John from comment #24)
Correction:

First the three bugs (bug #240804, bug #240811, and this bug #240810) is not because of some feeling of rush needed.  That is implied in the bug classification of scope of users affected.

Sorry for my manual typo error.  I wish bugzilla would allow edits of comments so one the correction and error would show in same comment and not have to make a new or additional comment for the correction.
Comment 28 Guido Falsi freebsd_committer 2019-09-29 15:32:23 UTC
Change assignee to xfce@ since this is actually an XFCE related but and the xscreensaver port has no fault in this.
Comment 29 Guido Falsi freebsd_committer 2019-09-30 13:34:56 UTC
I have filed bug reports with XFCE with proposed changes to the .desktop files.

Discussion about changes proposed to the XFCE repositories should be carried on on their bugzilla instance.